# Enable "1" or disable "0" Java support
%define DX_JAVA 0

# Path to jni.h and jni_md.h
%define JNI_INCLUDE_PATH "/usr/local/jdk-1.3.0/include:/usr/local/jdk-1.3.0/include/linux"

# Path to npcosmop211.jar
%define cosmojar_PATH "/usr/local/jdk-1.3.0/classes/npcosmop211.jar"

# Path to java40.jar
%define java40jar_PATH ""

Name: dx
Version: 4.2.0
Release: alt2

Summary: IBM Open Visualization Data Explorer
License: IBM PUBLIC LICENSE
Group: Sciences/Other
Url: http://www.opendx.org
Packager: Yury A. Zotov <yz@altlinux.ru>

Source0: http://www.research.ibm.com/dx/srcDownload/srcArchive/dx-4.2.0.tar.bz2
Source1: dx-README.alt
Source2: dx-mini.xpm
Source3: dx.xpm
Source4: dx.menu
Patch0: dx-directories.patch.bz2
Patch1: dx-javaclasspath.patch
Patch2: dx-installman.patch.bz2
Patch3: dx-4.2.0-alt2-makefile-remove_url_handler.patch

# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: XFree86-devel XFree86-libs compat-cpp compat-gcc-c++ flex freetype2-devel libGLU-devel libImageMagick-devel libcdf-devel libhdf-devel libjpeg-devel liblcms-devel libnetcdf-devel libstdc++-devel libstdc++2.95-devel libtiff-devel openmotif-devel tcsh xpm-devel zlib-devel

%package devel
Summary: Headers and static libraries for developing with OpenDX
Summary(ru_RU.KOI8-R):           OpenDX
Group: Development/C
Requires: %name = %version-%release

%if %DX_JAVA
%package java
Summary: Java support in OpenDX
Summary(ru_RU.KOI8-R):  Java  OpenDX
Group: Development/Java
Requires: %name = %version-%release
%endif

%description
If you need visualization for anything from examining simple data sets
to analyzing complex, time-dependent data from disparate sources, OpenDX
has what you need: features and functions that let you easily gain
meaningful insight into your data.

And if you are looking to build visualization applications for your end
users, OpenDX has what you need: power to support their requirements and
versatility for customized application development.

OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on familiar standard interface environments. And
its sophisticated data model provides users with great flexibility in
creating visualizations.

Since its introduction in 1991 as Visualization Data Explorer, it has
been continuously enhanced and expanded and now with the full source
code available to you, the features are limitless.

%description -l ru_RU.KOI8-R 
    - ,  
      ,  
     , OpenDX  ,  
.         
 .

       , 
OpenDX  ,   .      
 ,       
  .

OpenDX  ,    
 ,    .  
     ,  
       
   .

       Visualisation Data Explorer,
OpenDX    .     
   ,     .

%description devel
Headers and static libraries for developing with OpenDX.

%description -l ru_RU.KOI8-R devel
       
  OpenDX.

%if %DX_JAVA
%description java
Java support in OpenDX

%description -l ru_RU.KOI8-R java
 Java   OpenDX.
%endif

%prep
if [ %DX_JAVA -ne 0 ]; then
  if [ -z %cosmojar_PATH ]; then \
	echo "You must define path to npcosmop211.jar in cosmojar_PATH variable!"; \
	exit 1; \
  fi
fi
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
install -m 644 %SOURCE1 ./README.alt

%build
CONFIGURE_FLAGS="--enable-new-keylayout"
%if !%DX_JAVA
  CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-javadx=no"
%else
  CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-javadx=yes"
  if ! [ -z %cosmojar_PATH ]; then
	CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-cosmojar-path=%cosmojar_PATH"
  fi
  if ! [ -z %java40jar_PATH ]; then
	CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-java40jar-path=%java40jar_PATH"
  fi
  if ! [ -z %JNI_INCLUDE_PATH ]; then
	CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-jni-path=%JNI_INCLUDE_PATH"
  fi
%endif

export CC="compat-gcc" \
export CPP="compat-gcc -E" \
export CXX="compat-g++" \
%configure $CONFIGURE_FLAGS
%make_build

%install
%makeinstall htmldir=".install/html" \
  docdir=".install/doc" \
  pagesdir="../.install/html/pages" \
  imagesdir="../.install/html/images"

# menu
install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

# icon
install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm


%post
%update_menus


%postun
%clean_menus


%files
%dir %_libdir/%name
%_bindir/*
%_libdir/%name/bin
%_libdir/%name/bin_linux
%_libdir/%name/fonts
%_libdir/%name/help
%_libdir/%name/lib
%_libdir/%name/lib_linux
%_libdir/%name/ui
%_mandir/man1/*
%_menudir/%name
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%doc LICENSE README README.alt ChangeLog html/.install/html doc/.install/doc

%files devel
%dir %_libdir/%name
%_includedir/*
%_libdir/%name/*.a

%if %DX_JAVA
%files java
%dir %_libdir/%name
%_libdir/%name/java
%endif

%changelog
* Thu Nov 14 2002 Yury A. Zotov <yz@altlinux.ru> 4.2.0-alt2
- BuildRequies updated
- added menu entry for OpenDX
- removed unnecessary dependencies

* Fri Jun 7 2002 Yury A. Zotov <yz@altlinux.ru> 4.2.0-alt1
- new version

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.1.3-alt7
- Rebuilt with openmotif-2.2.2.

* Mon Jan 21 2002 Yury A. Zotov <yz@altlinux.ru> 4.1.3-alt6
- package description in russian

* Thu Nov 8 2001 Yury A. Zotov <yz@altlinux.ru> 4.1.3-alt5
- package group name corrected

* Mon Oct 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 4.1.3-alt4
- Rebuilt with lesstif-0.93.12.

* Wed Jun 28 2001 Yury A. Zotov <yz@altlinux.ru> 4.1.3-alt3
- added devel package
- added java package
- files rearrangement
- spec-file cleanup

* Mon Jun 18 2001  Yura Zotov  <yznews@hotbox.ru> 4.1.3-alt2
- malfunction spin-boxes fixed

* Mon Jun 18 2001  Yura Zotov  <yznews@hotbox.ru> 4.1.3-alt1
- Initial revision.
